package org.neuroph.easyneurons.samples.perceptron;

import java.util.Observable;
import org.neuroph.core.NeuralNetwork;
import org.neuroph.core.learning.TrainingSet;
import org.neuroph.easyneurons.NeuralNetworkTraining;

/**
 *
 * @author Marko
 */
public class PerceptronSampleTrainingSet extends Observable {

    TrainingSet trainingSet = new TrainingSet();
    NeuralNetwork neuralNetwork = null;
    NeuralNetworkTraining trainingControler = new NeuralNetworkTraining(neuralNetwork, trainingSet);

    public NeuralNetworkTraining getControler() {
        return trainingControler;
    }

    public TrainingSet getTrainingSet() {
        return trainingSet;
    }

    public NeuralNetwork getNeuralNetwork()
    {
        return neuralNetwork;
    }
    
    public void setTrainingSet(TrainingSet trainingSet, NeuralNetwork nn, NeuralNetworkTraining tc) {
        this.trainingSet = trainingSet;
        this.neuralNetwork = nn;
        this.trainingControler = tc;
        setChanged();
        notifyObservers();
    }

}
